package com.ruoyi.project.sems.service;

import java.util.List;
import com.ruoyi.project.sems.domain.TSpecCheck;

/**
 * 特种设备检验记录Service接口
 * 
 * @author ruoyi
 * @date 2021-08-23
 */
public interface ITSpecCheckService 
{
    /**
     * 查询特种设备检验记录
     * 
     * @param id 特种设备检验记录ID
     * @return 特种设备检验记录
     */
    public TSpecCheck selectTSpecCheckById(Long id);

    /**
     * 查询特种设备检验记录列表
     * 
     * @param tSpecCheck 特种设备检验记录
     * @return 特种设备检验记录集合
     */
    public List<TSpecCheck> selectTSpecCheckList(TSpecCheck tSpecCheck);

    /**
     * 新增特种设备检验记录
     * 
     * @param tSpecCheck 特种设备检验记录
     * @return 结果
     */
    public int insertTSpecCheck(TSpecCheck tSpecCheck);

    /**
     * 修改特种设备检验记录
     * 
     * @param tSpecCheck 特种设备检验记录
     * @return 结果
     */
    public int updateTSpecCheck(TSpecCheck tSpecCheck);

    /**
     * 批量删除特种设备检验记录
     * 
     * @param ids 需要删除的特种设备检验记录ID
     * @return 结果
     */
    public int deleteTSpecCheckByIds(Long[] ids);

    /**
     * 删除特种设备检验记录信息
     * 
     * @param id 特种设备检验记录ID
     * @return 结果
     */
    public int deleteTSpecCheckById(Long id);
}
